
class xuiLabel {
    inherit xuiString
    constructor {} {
    setXuiClass label
    }   
    method clone
    method copyClone
    method getText
}

body xuiLabel::clone {{parentName {::#auto}}} {
   set clone [xuiLabel $parentName.$name]
   copyClone $clone
   return $clone
}

body xuiLabel::copyClone { clone } {
   xuiObject::copyClone $clone
   xuiString::copyClone $clone
   $clone setXuiClass $xuiClass
}


body xuiLabel::getText { } {
    return $label
}



